Bug 1246724 - Review Request: nodejs-js-beautify - jsbeautifier.org for node
Summary: Review Request: nodejs-js-beautify - jsbeautifier.org for node
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1228942 1236249
TreeView+ depends on / blocked
 
Reported: 2015-07-25 03:40 UTC by Eduardo Mayorga
Modified: 2015-07-30 10:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-27 21:44:52 UTC
Type: ---
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eduardo Mayorga 2015-07-25 03:40:13 UTC
Spec URL: https://mayorga.fedorapeople.org/nodejs-js-beautify.spec
SRPM URL: https://mayorga.fedorapeople.org/nodejs-js-beautify-1.5.9-1.fc22.src.rpm
Description: This little beautifier will reformat and reindent bookmarklets, ugly
JavaScript, unpack scripts packed by Dean Edward’s popular packer, as well as
deobfuscate scripts processed by javascriptobfuscator.com.
Fedora Account System Username:

Comment 1 gil cattaneo 2015-07-25 19:29:13 UTC
can you review this one for me?
https://bugzilla.redhat.com/show_bug.cgi?id=1236511

Comment 2 gil cattaneo 2015-07-25 19:44:40 UTC
available a newer release: 1.5.10 
Url: https://github.com/beautify-web/js-beautify/tags
please consider upgrading

Comment 3 gil cattaneo 2015-07-25 19:57:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 17 files have
     unknown license. Detailed output of licensecheck in /home/gil/1246724
     -nodejs-js-beautify/licensecheck.txt
     
  Unknown or generated
--------------------
package/js/index.js
package/js/lib/unpackers/javascriptobfuscator_unpacker.js
package/js/lib/unpackers/myobfuscate_unpacker.js
package/js/lib/unpackers/p_a_c_k_e_r_unpacker.js
package/js/lib/unpackers/urlencode_unpacker.js
package/js/test/amd-beautify-tests.js
package/js/test/beautify-html-tests.js
package/js/test/node-beautify-perf-tests.js
package/js/test/node-beautify-tests.js
package/js/test/resources/example1.js
package/js/test/sanitytest.js
package/test/data/css.js
package/test/data/html.js
package/test/data/javascript.js
package/test/git-status-clear.sh
package/test/underscore-min.js
package/test/underscore.js

[?]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/node_modules/js-
     beautify(languages, langpacks:, enabled, are, No), /usr/share/licenses
     /nodejs-js-beautify(languages, langpacks:, enabled, are, No),
     /usr/share/doc/nodejs-js-beautify(languages, langpacks:, enabled, are,
     No), /usr/lib/node_modules/js-beautify/node_modules(languages,
     langpacks:, enabled, are, No)
[!]: Package contains no bundled libraries without FPC exception.
js/lib/unpackers/javascriptobfuscator_unpacker.js
js/lib/unpackers/myobfuscate_unpacker.js
js/lib/unpackers/p_a_c_k_e_r_unpacker.js



[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[?]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.10 starting (python version = 3.4.2)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.10
INFO: Mock Version: 1.2.10
Finish: chroot init
INFO: installing package(s): /home/gil/1246724-nodejs-js-beautify/results/nodejs-js-beautify-1.5.9-1.fc23.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 23 install /home/gil/1246724-nodejs-js-beautify/results/nodejs-js-beautify-1.5.9-1.fc23.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: nodejs-js-beautify-1.5.9-1.fc23.noarch.rpm
          nodejs-js-beautify-1.5.9-1.fc23.src.rpm
nodejs-js-beautify.noarch: W: spelling-error Summary(en_US) jsbeautifier -> beautifier
nodejs-js-beautify.noarch: W: summary-not-capitalized C jsbeautifier.org for node
nodejs-js-beautify.noarch: W: spelling-error %description -l en_US reindent -> reinvent, re indent, re-indent
nodejs-js-beautify.noarch: W: spelling-error %description -l en_US bookmarklets -> bookmark lets, bookmark-lets, booklets
nodejs-js-beautify.noarch: W: spelling-error %description -l en_US deobfuscate -> obfuscate
nodejs-js-beautify.noarch: W: spelling-error %description -l en_US javascriptobfuscator -> JavaScript
nodejs-js-beautify.noarch: W: only-non-binary-in-usr-lib
nodejs-js-beautify.noarch: W: dangling-symlink /usr/lib/node_modules/js-beautify/node_modules/config-chain /usr/lib/node_modules/config-chain
nodejs-js-beautify.noarch: W: dangling-symlink /usr/lib/node_modules/js-beautify/node_modules/mkdirp /usr/lib/node_modules/mkdirp
nodejs-js-beautify.noarch: W: dangling-symlink /usr/lib/node_modules/js-beautify/node_modules/nopt /usr/lib/node_modules/nopt
nodejs-js-beautify.src: W: spelling-error Summary(en_US) jsbeautifier -> beautifier
nodejs-js-beautify.src: W: summary-not-capitalized C jsbeautifier.org for node
nodejs-js-beautify.src: W: spelling-error %description -l en_US reindent -> reinvent, re indent, re-indent
nodejs-js-beautify.src: W: spelling-error %description -l en_US bookmarklets -> bookmark lets, bookmark-lets, booklets
nodejs-js-beautify.src: W: spelling-error %description -l en_US deobfuscate -> obfuscate
nodejs-js-beautify.src: W: spelling-error %description -l en_US javascriptobfuscator -> JavaScript
2 packages and 0 specfiles checked; 0 errors, 16 warnings.




Requires
--------
nodejs-js-beautify (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(config-chain)
    npm(mkdirp)
    npm(nopt)



Provides
--------
nodejs-js-beautify:
    nodejs-js-beautify
    npm(js-beautify)



Source checksums
----------------
http://registry.npmjs.org/js-beautify/-/js-beautify-1.5.9.tgz :
  CHECKSUM(SHA256) this package     : 26c9cd062c345d31933645b35c5d61d1aee2adaffac0f5f637a0f2290234fd42
  CHECKSUM(SHA256) upstream package : 26c9cd062c345d31933645b35c5d61d1aee2adaffac0f5f637a0f2290234fd42


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1246724 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 gil cattaneo 2015-07-25 20:04:38 UTC
Blocking issues:

[!]: Package contains no bundled libraries without FPC exception.
js/lib/unpackers/javascriptobfuscator_unpacker.js
js/lib/unpackers/myobfuscate_unpacker.js
js/lib/unpackers/p_a_c_k_e_r_unpacker.js

there are something of wrong on install section
these file are not packaged or compiled
[?]: Package complies to the Packaging Guidelines
package/js/lib/beautify-css.js
package/js/lib/beautify-html.js
package/js/lib/beautify.js
package/js/lib/cli.js

[!]: Latest version is packaged.
[?]: %check is present and all tests pass.

[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 17 files have
     unknown license. Detailed output of licensecheck in /home/gil/1246724
     -nodejs-js-beautify/licensecheck.txt
     
  Unknown or generated
--------------------
package/js/index.js
package/js/lib/unpackers/urlencode_unpacker.js

Comment 5 Eduardo Mayorga 2015-07-26 06:24:00 UTC
I do not think the scripts in js/lib/unpackers are bundled libraries but rather just files put into a subdirectory.

Spec URL: https://mayorga.fedorapeople.org/nodejs-js-beautify.spec
SRPM URL: https://mayorga.fedorapeople.org/nodejs-js-beautify-1.5.10-1.fc22.src.rpm

Comment 6 gil cattaneo 2015-07-26 09:08:24 UTC
Build fail
DEBUG util.py:378:  No matching package to install: 'npm(benchmark)'
DEBUG util.py:378:  No matching package to install: 'npm(jshint)'

see also 
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10487639

Comment 7 gil cattaneo 2015-07-26 09:13:12 UTC
Suggestion, use:

%if 0%{?fedora}
# Unavailable deps npm(jshint) npm(benchmark)
%bcond_with test
%endif

%if %{with test}
BuildRequires:	npm(node-static)
BuildRequires:	npm(jshint)
BuildRequires:	npm(benchmark)
BuildRequires:	npm(requirejs)
BuildRequires:	npm(mustache)
%endif

%check
%if %{with test}
%nodejs_symlink_deps --check
./js/test/shell-smoke-test.sh
%endif

Comment 9 gil cattaneo 2015-07-26 18:38:14 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 30 files have
     unknown license. Detailed output of licensecheck in /home/gil/1246724
     -nodejs-js-beautify/licensecheck.txt
  Please, report the problem to upstream, for add license header 
Unknown or generated
--------------------
js-beautify-1.5.10/js/index.js
js-beautify-1.5.10/js/lib/unpackers/javascriptobfuscator_unpacker.js
js-beautify-1.5.10/js/lib/unpackers/myobfuscate_unpacker.js
js-beautify-1.5.10/js/lib/unpackers/p_a_c_k_e_r_unpacker.js
js-beautify-1.5.10/js/lib/unpackers/urlencode_unpacker.js


[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/node_modules/js-
     beautify/lib/unpackers(languages, langpacks:, enabled, are, No),
     /usr/share/doc/nodejs-js-beautify(languages, langpacks:, enabled, are,
     No), /usr/lib/node_modules/js-beautify(languages, langpacks:, enabled,
     are, No), /usr/lib/node_modules/js-beautify/node_modules(languages,
     langpacks:, enabled, are, No), /usr/lib/node_modules/js-
     beautify/lib(languages, langpacks:, enabled, are, No),
     /usr/share/licenses/nodejs-js-beautify(languages, langpacks:, enabled,
     are, No)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.10 starting (python version = 3.4.2)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.10
INFO: Mock Version: 1.2.10
Finish: chroot init
INFO: installing package(s): /home/gil/1246724-nodejs-js-beautify/results/nodejs-js-beautify-1.5.10-2.fc23.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 23 install /home/gil/1246724-nodejs-js-beautify/results/nodejs-js-beautify-1.5.10-2.fc23.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: nodejs-js-beautify-1.5.10-2.fc23.noarch.rpm
          nodejs-js-beautify-1.5.10-2.fc23.src.rpm
nodejs-js-beautify.noarch: W: spelling-error Summary(en_US) jsbeautifier -> beautifier
nodejs-js-beautify.noarch: W: summary-not-capitalized C jsbeautifier.org for node
nodejs-js-beautify.noarch: W: spelling-error %description -l en_US reindent -> reinvent, re indent, re-indent
nodejs-js-beautify.noarch: W: spelling-error %description -l en_US bookmarklets -> bookmark lets, bookmark-lets, booklets
nodejs-js-beautify.noarch: W: spelling-error %description -l en_US deobfuscate -> obfuscate
nodejs-js-beautify.noarch: W: spelling-error %description -l en_US javascriptobfuscator -> JavaScript
nodejs-js-beautify.noarch: W: only-non-binary-in-usr-lib
nodejs-js-beautify.noarch: W: dangling-symlink /usr/lib/node_modules/js-beautify/node_modules/config-chain /usr/lib/node_modules/config-chain
nodejs-js-beautify.noarch: W: dangling-symlink /usr/lib/node_modules/js-beautify/node_modules/mkdirp /usr/lib/node_modules/mkdirp
nodejs-js-beautify.noarch: W: dangling-symlink /usr/lib/node_modules/js-beautify/node_modules/nopt /usr/lib/node_modules/nopt
nodejs-js-beautify.noarch: W: no-manual-page-for-binary js-beautify
nodejs-js-beautify.src: W: spelling-error Summary(en_US) jsbeautifier -> beautifier
nodejs-js-beautify.src: W: summary-not-capitalized C jsbeautifier.org for node
nodejs-js-beautify.src: W: spelling-error %description -l en_US reindent -> reinvent, re indent, re-indent
nodejs-js-beautify.src: W: spelling-error %description -l en_US bookmarklets -> bookmark lets, bookmark-lets, booklets
nodejs-js-beautify.src: W: spelling-error %description -l en_US deobfuscate -> obfuscate
nodejs-js-beautify.src: W: spelling-error %description -l en_US javascriptobfuscator -> JavaScript
2 packages and 0 specfiles checked; 0 errors, 17 warnings.




Requires
--------
nodejs-js-beautify (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(config-chain)
    npm(mkdirp)
    npm(nopt)



Provides
--------
nodejs-js-beautify:
    nodejs-js-beautify
    npm(js-beautify)



Source checksums
----------------
https://github.com/beautify-web/js-beautify/archive/v1.5.10/nodejs-js-beautify-1.5.10.tar.gz :
  CHECKSUM(SHA256) this package     : 055ce354da5f38387020d87ec68bd926af43eb36766b560f721b39fc3617c86a
  CHECKSUM(SHA256) upstream package : 055ce354da5f38387020d87ec68bd926af43eb36766b560f721b39fc3617c86a


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1246724 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 10 gil cattaneo 2015-07-26 18:38:37 UTC
NON blocking issues:
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 30 files have
     unknown license. Detailed output of licensecheck in /home/gil/1246724
     -nodejs-js-beautify/licensecheck.txt
  Please, report the problem to upstream, for add license header 
Unknown or generated
--------------------
js-beautify-1.5.10/js/index.js
js-beautify-1.5.10/js/lib/unpackers/javascriptobfuscator_unpacker.js
js-beautify-1.5.10/js/lib/unpackers/myobfuscate_unpacker.js
js-beautify-1.5.10/js/lib/unpackers/p_a_c_k_e_r_unpacker.js
js-beautify-1.5.10/js/lib/unpackers/urlencode_unpacker.js

approved

Comment 11 Eduardo Mayorga 2015-07-26 19:00:44 UTC
New Package SCM Request
=======================
Package Name: nodejs-js-beautify
Short Description: jsbeautifier.org for node
Upstream URL: http://jsbeautifier.org
Owners: mayorga williamjmorenor
Branches: f23
InitialCC:

Comment 12 Gwyn Ciesla 2015-07-27 19:31:21 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.